variant_sub
Printer
COM Functions
PHP Manual

# variant_xor

(PHP 5)

variant_xor — Performs a logical exclusion on two variants

### Description

mixed variant_xor ( mixed `$left` , mixed `$right` )

Performs a logical exclusion.

### Parameters

`left`

  The left operand.

`right`

  The right operand.

> Note: As with all the variant arithmetic functions, the parameters for this function can be either a PHP native type (integer, string, floating point, boolean or `NULL`), or an instance of a COM, VARIANT or DOTNET class. PHP native types will be converted to variants using the same rules as found in the constructor for the VARIANT class. COM and DOTNET objects will have the value of their default property taken and used as the variant value.
> The variant arithmetic functions are wrappers around the similarly named functions in the COM library; for more information on these functions, consult the MSDN library. The PHP functions are named slightly differently; for example variant_add() in PHP corresponds to VarAdd() in the MSDN documentation.

### Return Values

Variant XOR Rules
If `left` is | If `right` is | then the result is
--- | --- | ---
`TRUE` | `TRUE` | `FALSE`
`TRUE` | `FALSE` | `TRUE`
`FALSE` | `TRUE` | `TRUE`
`FALSE` | `FALSE` | `FALSE`
`NULL` | `NULL` | `NULL`

### See Also

- variant_or() - Performs a logical disjunction on two variants
- variant_and() - Performs a bitwise AND operation between two variants

variant_sub
Printer
COM Functions
PHP Manual